﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            FileStream stream = new FileStream("IMAGE\\tulipfarm.gif", FileMode.Open, FileAccess.Read, FileShare.Read);

            GifBitmapDecoder decoder1 = new GifBitmapDecoder
            (
                stream,
                BitmapCreateOptions.PreservePixelFormat,
                BitmapCacheOption.Default
            );

            BitmapSource bitmapSource1 = decoder1.Frames[0];

            Image image1 = new Image
            {
                Margin  = new Thickness(20),
                Stretch = Stretch.None,
                Source  = bitmapSource1
            };

            Uri uri = new Uri("IMAGE\\tulipfarm.gif", UriKind.RelativeOrAbsolute);

            GifBitmapDecoder decoder2 = new GifBitmapDecoder
            (
                uri,
                BitmapCreateOptions.PreservePixelFormat,
                BitmapCacheOption.Default
            );

            BitmapSource bitmapSource2 = decoder2.Frames[0];

            Image image2 = new Image
            {
                Margin  = new Thickness(20),
                Stretch = Stretch.None,
                Source  = bitmapSource2
            };

            this.stackPanel.Children.Add(image1);
            this.stackPanel.Children.Add(image2);
        }

        #endregion
    }
}